INTERFACE
SUBROUTINE SPEIMPAD(PVOR,PDIV,PHGT,PVORM,PDIVM,PHGTM,KVMO,KM,KDIR)
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NCMAX
INTEGER(KIND=JPIM),INTENT(IN) :: KM
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVOR(2*(NCMAX+1-KM))
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIV(2*(NCMAX+1-KM))
REAL(KIND=JPRB) ,INTENT(INOUT) :: PHGT(2*(NCMAX+1-KM))
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVORM(2*(NCMAX+1-KM))
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIVM(2*(NCMAX+1-KM))
REAL(KIND=JPRB) ,INTENT(INOUT) :: PHGTM(2*(NCMAX+1-KM))
INTEGER(KIND=JPIM),INTENT(IN) :: KVMO
INTEGER(KIND=JPIM),INTENT(IN) :: KDIR
END SUBROUTINE SPEIMPAD
END INTERFACE
